# dependency generator inserts "== 2.0.0" for pillow eggs, but we already have 2.6
%define __noautoreq 'pillow'

Summary:	ReportLab library to create PDF documents using Python
Name:		python-reportlab
Version:	3.1.8
Release:	5
URL:		http://www.reportlab.org/
Source0:	https://pypi.python.org/packages/source/r/reportlab/reportlab-%{version}.tar.gz
Patch0:		reportlab-%{version}-font-locations.patch
Patch1:		reportlab-3.1.8-fix_build.patch
License:	BSD
Group:		Publishing
BuildRequires:	pkgconfig(python)
BuildRequires:	python-pillow
BuildRequires:	freetype-devel
Requires:	fonts-ttf-dejavu
Requires:	python-pillow

%description
ReportLab is a library that lets you directly create documents in
Adobe's Portable Document Format (PDF) using the Python programming
language.

ReportLab library creates PDF based on graphics commands without
intervening steps. It's therefore extremely fast, and flexible (since
you're using a full-blown programming language).

Sample use cases are:

  * Dynamic PDF generation on the web
  * High-volume corporate reporting and database publishing
  * As embeddable print engine for other applications, including a
    'report language' so that users can customize their own reports.
  * As 'build system' for complex documents with charts, tables and text
    such as management accounts, statistical reports and scientific papers
  * from XML to PDF in one step

%package -n python3-reportlab
Summary:	ReportLab library to create PDF documents using Python 3
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-pillow
Requires:	fonts-ttf-dejavu
Requires:	python3-pillow

%description -n python3-reportlab
ReportLab is a library that lets you directly create documents in
Adobe's Portable Document Format (PDF) using the Python programming
language.

ReportLab library creates PDF based on graphics commands without
intervening steps. It's therefore extremely fast, and flexible (since
you're using a full-blown programming language).

%package docs
Summary:	Documentation files for %{name}
Requires:	%{name} = %{version}-%{release}
Group:		Publishing
License:	BSD

%description docs
Contains the documentation for ReportLab.

%prep
%setup -q -n reportlab-%{version}
%patch0 -p0
%patch1 -p1
# clean up hashbangs from libraries
find src -name '*.py' | xargs sed -i -e '/^#!\//d'
cp -a . %{py3dir} 

%build
pushd %{py3dir}
CFLAGS="%{optflags}" python3 setup.py build
popd

CFLAGS="%{optflags}" python setup.py build
# a bit of a horrible hack due to a chicken-and-egg problem. The docs
# require reportlab, which isn't yet installed, but is at least built.
PYTHONPATH="`pwd`/`ls -d build/lib*`" python docs/genAll.py


%install
pushd %{py3dir}
python3 setup.py install -O1 --skip-build --root %{buildroot}
rm -rf %{buildroot}%{py3_platsitedir}/reportlab/fonts
popd

python setup.py install -O1 --skip-build --root %{buildroot}
# Remove bundled fonts
rm -rf %{buildroot}%{py_platsitedir}/reportlab/fonts

%files
%doc README.txt CHANGES.txt LICENSE.txt 
%{py_platsitedir}/reportlab
%{py_platsitedir}/reportlab*.egg-info

%files -n python3-reportlab
%doc README.txt CHANGES.txt LICENSE.txt 
%{py3_platsitedir}/reportlab
%{py3_platsitedir}/reportlab*.egg-info

%files docs
%doc docs/*.pdf demos tools LICENSE.txt

%changelog

* Wed Jun 17 2015 Denis Silakov <denis.silakov@rosalab.ru> 3.1.8-5
- (49dccb9) Updated to 3.1.8, added python3 module


